Index: cpukit/itron/ChangeLog
===================================================================
--- cpukit/itron/ChangeLog	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/itron/ChangeLog	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -1,2 +1,6 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to compilation rules.
+
 2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/itron/Makefile.am
===================================================================
--- cpukit/itron/Makefile.am	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/itron/Makefile.am	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -109,5 +109,5 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-all-local: $(PREINSTALL_FILES) ${ARCH} ${LIB}
+all-local: $(PREINSTALL_FILES) ${LIB}
 
 $(LIB): ${OBJS}
@@ -115,5 +115,5 @@
 endif
 
-${ARCH}/%.$(OBJEXT): src/%.c
+${ARCH}/%.$(OBJEXT): src/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} -o $@ -c $<
 
Index: cpukit/libfs/ChangeLog
===================================================================
--- cpukit/libfs/ChangeLog	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/libfs/ChangeLog	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -1,2 +1,6 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to compilation rules.
+
 2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libfs/Makefile.am
===================================================================
--- cpukit/libfs/Makefile.am	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/libfs/Makefile.am	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -43,9 +43,10 @@
 include_HEADERS += src/imfs/imfs.h
 
-IMFSLIB = src/imfs/$(ARCH) src/imfs/$(ARCH)/libimfs.a
+IMFSLIB = src/imfs/$(ARCH)/libimfs.a
 
-src/imfs/$(ARCH):
-	@$(mkinstalldirs) $@
-src/imfs/$(ARCH)/%.$(OBJEXT): src/imfs/%.c
+src/imfs/$(ARCH)/$(dirstamp):
+	@$(mkinstalldirs) src/imfs/$(ARCH)
+	@: > src/imfs/$(ARCH)/$(dirstamp)
+src/imfs/$(ARCH)/%.$(OBJEXT): src/imfs/%.c src/imfs/$(ARCH)/$(dirstamp)
 	${COMPILE} -o $@ -c $<
 src/imfs/$(ARCH)/libimfs.a: ${libimfs_OBJS}
@@ -76,9 +77,10 @@
 include_HEADERS += src/dosfs/dosfs.h
 
-DOSFSLIB = src/dosfs/${ARCH} src/dosfs/$(ARCH)/libdosfs.a
+DOSFSLIB = src/dosfs/$(ARCH)/libdosfs.a
 
-src/dosfs/$(ARCH):
-	@$(mkinstalldirs) $@
-src/dosfs/$(ARCH)/%.$(OBJEXT): src/dosfs/%.c
+src/dosfs/$(ARCH)/$(dirstamp):
+	@$(mkinstalldirs) src/dosfs/$(ARCH)
+	@: > src/dosfs/$(ARCH)/$(dirstamp)
+src/dosfs/$(ARCH)/%.$(OBJEXT): src/dosfs/%.c src/dosfs/$(ARCH)/$(dirstamp)
 	${COMPILE} -o $@ -c $<
 src/dosfs/$(ARCH)/libdosfs.a: ${libdosfs_OBJS}
Index: cpukit/libnetworking/ChangeLog
===================================================================
--- cpukit/libnetworking/ChangeLog	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/libnetworking/ChangeLog	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -1,2 +1,6 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to compilation rules.
+
 2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libnetworking/Makefile.am
===================================================================
--- cpukit/libnetworking/Makefile.am	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/libnetworking/Makefile.am	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -16,5 +16,5 @@
     -DDIAGNOSTIC -DBOOTP_COMPAT
 
-TMP_LIBS = $(ARCH) $(ARCH)/libnetworking.a
+TMP_LIBS = $(ARCH)/libnetworking.a
 
 ## poll.h is not in the list because RTEMS does not have poll()
@@ -37,5 +37,5 @@
 libnetworking_OBJS = $(kern_C_FILES:kern/%.c=$(ARCH)/%.$(OBJEXT))
 
-$(ARCH)/%.$(OBJEXT): kern/%.c
+$(ARCH)/%.$(OBJEXT): kern/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} $(libnetworking_CPPFLAGS) -o $@ -c $<
 
@@ -63,5 +63,5 @@
 libnetworking_OBJS += $(net_C_FILES:net/%.c=$(ARCH)/%.$(OBJEXT))
 
-$(ARCH)/%.$(OBJEXT): net/%.c
+$(ARCH)/%.$(OBJEXT): net/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} $(libnetworking_CPPFLAGS) -o $@ -c $<
 
@@ -89,5 +89,5 @@
 libnetworking_OBJS += $(netinet_C_FILES:netinet/%.c=$(ARCH)/%.$(OBJEXT))
 
-$(ARCH)/%.$(OBJEXT): netinet/%.c
+$(ARCH)/%.$(OBJEXT): netinet/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} $(libnetworking_CPPFLAGS) -o $@ -c $<
 
@@ -104,5 +104,5 @@
 libnetworking_OBJS += $(nfs_C_FILES:nfs/%.c=$(ARCH)/%.$(OBJEXT))
 
-$(ARCH)/%.$(OBJEXT): nfs/%.c
+$(ARCH)/%.$(OBJEXT): nfs/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} $(libnetworking_CPPFLAGS) -o $@ -c $<
 
@@ -124,5 +124,5 @@
 libnetworking_OBJS += $(rtems_C_FILES:rtems/%.c=$(ARCH)/%.$(OBJEXT))
 
-$(ARCH)/%.$(OBJEXT): rtems/%.c
+$(ARCH)/%.$(OBJEXT): rtems/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} $(libnetworking_CPPFLAGS) -o $@ -c $<
 
@@ -170,12 +170,13 @@
 libc_CPPFLAGS = -DNOPOLL -DNOSELECT
 
-libc/$(ARCH):
-	@$(mkinstalldirs) $@
-libc/$(ARCH)/%.$(OBJEXT): libc/%.c
+libc/$(ARCH)/$(dirstamp):
+	@$(mkinstalldirs) libc/$(ARCH)
+	@: > libc/$(ARCH)/$(dirstamp)
+libc/$(ARCH)/%.$(OBJEXT): libc/%.c libc/$(ARCH)/$(dirstamp)
 	${COMPILE} $(libc_CPPFLAGS) -o $@ -c $<
 libc/$(ARCH)/lib.a: $(libc_OBJS)
 	$(make-library)
 
-TMP_LIBS += libc/$(ARCH) libc/$(ARCH)/lib.a
+TMP_LIBS += libc/$(ARCH)/lib.a
 
 CLEANDIRS = libc/o-optimize libc/o-debug
@@ -208,12 +209,13 @@
 lib_CPPFLAGS = -DNOPOLL -DNOSELECT
 
-lib/$(ARCH):
-	@$(mkinstalldirs) $@
-lib/$(ARCH)/%.$(OBJEXT): lib/%.c
+lib/$(ARCH)/$(dirstamp):
+	@$(mkinstalldirs) lib/$(ARCH)
+	@: > lib/$(ARCH)/$(dirstamp)
+lib/$(ARCH)/%.$(OBJEXT): lib/%.c lib/$(ARCH)/$(dirstamp)
 	${COMPILE} $(lib_CPPFLAGS) -o $@ -c $<
 lib/$(ARCH)/lib.a: $(lib_OBJS)
 	$(make-library)
 
-TMP_LIBS += lib/$(ARCH) lib/$(ARCH)/lib.a
+TMP_LIBS += lib/$(ARCH)/lib.a
 
 CLEANDIRS += lib/o-optimize lib/o-debug
Index: cpukit/librpc/ChangeLog
===================================================================
--- cpukit/librpc/ChangeLog	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/librpc/ChangeLog	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -1,2 +1,6 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to compilation rules.
+
 2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/librpc/Makefile.am
===================================================================
--- cpukit/librpc/Makefile.am	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/librpc/Makefile.am	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -33,7 +33,8 @@
 libxdr_OBJS = $(libxdr_C_O_FILES)
 
-src/xdr/$(ARCH):
-	@$(mkinstalldirs) $@
-src/xdr/$(ARCH)/%.$(OBJEXT): src/xdr/%.c
+src/xdr/$(ARCH)/$(dirstamp):
+	@$(mkinstalldirs) src/xdr/$(ARCH)
+	@: > src/xdr/$(ARCH)/$(dirstamp)
+src/xdr/$(ARCH)/%.$(OBJEXT): src/xdr/%.c src/xdr/$(ARCH)/$(dirstamp)
 	${COMPILE} -o $@ -c $<
 src/xdr/$(ARCH)/libxdr.a: $(libxdr_OBJS)
@@ -41,5 +42,5 @@
 
 man_MANS += src/xdr/xdr.3
-all-local: src/xdr/$(ARCH) src/xdr/$(ARCH)/libxdr.a
+all-local: src/xdr/$(ARCH)/libxdr.a
 endif
 
@@ -72,7 +73,8 @@
     -D_RTEMS_RPC_INTERNAL_
 
-src/rpc/$(ARCH):
-	@$(mkinstalldirs) $@
-src/rpc/$(ARCH)/%.$(OBJEXT): src/rpc/%.c
+src/rpc/$(ARCH)/$(dirstamp):
+	@$(mkinstalldirs) src/rpc/$(ARCH)
+	@: > src/rpc/$(ARCH)/$(dirstamp)
+src/rpc/$(ARCH)/%.$(OBJEXT): src/rpc/%.c src/rpc/$(ARCH)/$(dirstamp)
 	${COMPILE} $(librpc_a_CPPFLAGS) -o $@ -c $<
 src/rpc/$(ARCH)/librpc.a: $(librpc_OBJS)
@@ -84,5 +86,5 @@
     src/rpc/rpc.5 src/rpc/rstat.1 src/rpc/rtime.3
 
-all-local: src/rpc/$(ARCH) src/rpc/$(ARCH)/librpc.a
+all-local: src/rpc/$(ARCH)/librpc.a
 endif
 
Index: cpukit/posix/ChangeLog
===================================================================
--- cpukit/posix/ChangeLog	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/posix/ChangeLog	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -1,2 +1,6 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to compilation rules.
+
 2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/posix/Makefile.am
===================================================================
--- cpukit/posix/Makefile.am	(revision a3fb105c7b6a84accad4b7de2e74b15c2ccdf6fd)
+++ cpukit/posix/Makefile.am	(revision de48a0ea91a7b1cd334d0e2d8a1a815f38993abc)
@@ -157,5 +157,5 @@
 AM_CPPFLAGS += -D__RTEMS_INSIDE__
 
-all-local: ${ARCH} $(PREINSTALL_FILES) $(LIB)
+all-local: $(PREINSTALL_FILES) $(LIB)
 
 $(LIB): ${OBJS}
@@ -163,5 +163,5 @@
 endif
 
-${ARCH}/%.$(OBJEXT): src/%.c
+${ARCH}/%.$(OBJEXT): src/%.c $(ARCH)/$(dirstamp)
 	${COMPILE} -o $@ -c $<
 
